Bug 835194 - Mouse clicks are not synchronized with cursor when display is scaled up
Summary: Mouse clicks are not synchronized with cursor when display is scaled up
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: spice-vdagent-win (Show other bugs)
(Show other bugs)
Version: 3.1.0
Hardware: Unspecified Unspecified
high
high
Target Milestone: ---
: 3.0.6
Assignee: Marc-Andre Lureau
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords: ZStream
Depends On: 823019
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-25 19:03 UTC by Chris Pelland
Modified: 2015-09-22 13:10 UTC (History)
7 users (show)

Fixed In Version: vdagent-win-0.1-11
Doc Type: Bug Fix
Doc Text:
Cause: spice-gtk rely on agent best resolution match when resizing the display. Consequence: There is a mouse offset when there is no exact match between the client display and the guest resolution Fix: Update agent dimensions correctly. Result: Mouse clicks are synchronized with cursor when display is scaled up.
Story Points: ---
Clone Of: 823019
Environment:
Last Closed: 2014-04-14 11:48:17 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 1 Marc-Andre Lureau 2012-06-26 16:49:58 UTC
I am not familiar with the process for rhevm, but I was told to build with 
rhevm-3-rhel-6-spice tag.

vdagent-win-0.1-11 should fix the issue:

https://brewweb.devel.redhat.com//buildinfo?buildID=219068

Comment 2 Marian Krcmarik 2012-06-27 19:12:12 UTC
Verified on vdagent-win-0.1-11


Note You need to log in before you can comment on or make changes to this bug.